// document.getElementById("tournamentSubmit").addEventListener("click", function () {
//     var xhttp = new XMLHttpRequest();
//     xhttp.onreadystatechange = function () {
//         if (this.readyState == 4 && this.status == 200) {
//             alert("Dodano turniej");
//         } else if (this.readyState == 4) {
//             alert("something not work :( " + this.status);
//         }
//     }
//     xhttp.open("PUT", "dragonmaster.pl/inz/tournament");
//     xhttp.setRequestHeader("Authorization", "Bearer " + token);
//     xhttp.send('{"name":"' + document.getElementById("tournamentName").value +
//         '","typeOfLadder":"' + document.getElementById("ladderType").value +
//         '","pointsForTournament":"' + document.getElementById("tournamentPoints").value +
//         '","places":"' + document.getElementById("tournamentPlace").value +
//         '","roles":"' + document.getElementById("tournamentRole").value +
//         '","ranked":"' + document.getElementById("isRanked").value +
//         '","place":"' + document.getElementById("tournamentPlace").value +
//         '","from":"' + document.getElementById("tournamentFrom").value +
//         '","to":"' + document.getElementById("tournamentTo").value +
//         '","rang":"' + document.getElementById("tournamentRang").value +
//         '","entyFee":"' + document.getElementById("tournamentEntyFee").value +
//         '","director":"' + document.getElementById("tournamentDirector").value +
//         '","phone":"' + document.getElementById("directorphone").value +
//         '","entriesTo":"' + document.getElementById("tournamentEntriesTo").value +
//         '","additionalInformations":"' + document.getElementById("tournamentAddInfo").value +
//         '","category":"' + "cat1" +
//         '","}');
// });
// function checkCheckBox() {
//     let checkBox = document.getElementById("checkBox");

//     if (checkBox.checked == true) {
//         return ("TRUE")
//     }
//     else {
//         return ("FALSE")
//     }
// }

// function checkRankingBox() {
//     let checkBox = document.getElementById("checkBoxRanking");

//     if (checkBox.checked == true) {
//         return ("1")
//     }
//     else {
//         return ("0")
//     }
// }

function createTournament() {
    if (document.getElementById("name").value == null || document.getElementById("name").value == "") {
        document.getElementById("name").value = document.getElementById("name").placeholder
        console.log(document.getElementById("name").value)
    }
    if (document.getElementById("place").value == null || document.getElementById("place").value == "") {
        document.getElementById("place").value = document.getElementById("place").placeholder
        console.log(document.getElementById("place").value)
    }
    if (document.getElementById("category").value == null || document.getElementById("category").value == "") {
        document.getElementById("category").value = document.getElementById("category").placeholder
        console.log(document.getElementById("category").value)
    }
    if (document.getElementById("term_from").value == null || document.getElementById("term_from").value == "") {
        document.getElementById("term_from").value = document.getElementById("term_from").placeholder
        console.log(document.getElementById("term_from").value)
    }
    if (document.getElementById("term_to").value == null || document.getElementById("term_to").value == "") {
        document.getElementById("term_to").value = document.getElementById("term_to").placeholder
        console.log(document.getElementById("term_to").value)
    }
    if (document.getElementById("rank").value == null || document.getElementById("rank").value == "") {
        document.getElementById("rank").value = document.getElementById("rank").placeholder
        console.log(document.getElementById("rank").value)
    }
    if (document.getElementById("entry-fee").value == null || document.getElementById("entry-fee").value == "") {
        document.getElementById("entry-fee").value = document.getElementById("entry-fee").placeholder
        console.log(document.getElementById("entry-fee").value)
    }
    if (document.getElementById("director").value == null || document.getElementById("director").value == "") {
        document.getElementById("director").value = document.getElementById("director").placeholder
        console.log(document.getElementById("director").value)
    }
    if (document.getElementById("phone").value == null || document.getElementById("phone").value == "") {
        document.getElementById("phone").value = document.getElementById("phone").placeholder
        console.log(document.getElementById("phone").value)
    }
    if (document.getElementById("entries").value == null || document.getElementById("entries").value == "") {
        document.getElementById("entries").value = document.getElementById("entries").placeholder
        console.log(document.getElementById("entries").value)
    }
    if (document.getElementById("add-info").value == null || document.getElementById("add-info").value == "") {
        document.getElementById("add-info").value = document.getElementById("add-info").placeholder
        console.log(document.getElementById("add-info").value)
    }
    if (document.getElementById("category").value == null || document.getElementById("category").value == "") {
        document.getElementById("category").value = document.getElementById("category").placeholder
        console.log(document.getElementById("category").value)
    }
    fetch('https://dragonmaster.pl/inz/tournament', {
        method: "POST",
        headers: {
            'Content-type': 'application/json',
            Authorization: ("Bearer " + localStorage.getItem("token"))
        },
        body: JSON.stringify(
            {
                "id": localStorage.getItem('tournamentId'),
                "name": document.getElementById("name").value,
                "typeOfLadder": "string",
                "pointsForTournament": "1",
                "place": document.getElementById("place").value,
                "roles": document.getElementById("category").value,
                "from": document.getElementById("term_from").value,
                "to": document.getElementById("term_to").value,
                "rang": document.getElementById("rank").value,
                "entryFee": document.getElementById("entry-fee").value,
                "director": document.getElementById("director").value,
                "phone": document.getElementById("phone").value,
                "entriesTo": document.getElementById("entries").value,
                "additionalInformations": document.getElementById("add-info").value,
                "categotry": document.getElementById("category").value,
                "visibility": "TRUE"
            }
        )
    }
    )

        .then(res => res.json())
        .then(data => window.location.href = '../../index.html')
        .catch(error => console.log(error))
}


function logout() {
    localStorage.removeItem('token');
    location.reload();
}

function logoutVisibility() {
    if (localStorage.getItem("token") !== null) {
        document.getElementById("logout").style.display = "";
    }
    else {
        document.getElementById("logout").style.display = "none";

    }

}

function loginVisibility() {
    if (localStorage.getItem("token") !== null) {
        document.getElementById("login").style.display = "none";
    }
    else {
        document.getElementById("login").style.display = "";

    }
}

async function showTournaments() {
    let url = 'https://dragonmaster.pl/inz/tournaments';
    try {
        let res = await fetch(url);
        return await res.json();
    } catch (error) {
        console.log(error);
    }
}

async function renderTournaments() {
    let tournaments = await showTournaments();
    tournaments.forEach(tournament => {
        let rank = 0
        if (`${tournament.approved}` == 0) {
            rank = "Nie"
        }
        else if (`${tournament.approved}` == 1) {
            rank = "Tak, ale niezatwierdzony"
        }
        else {
            rank = "Tak"
        }


        if (`${tournament.id}` == localStorage.getItem("tournamentId")) {

            console.log(`${tournament.rang}`)
            document.getElementById("name").placeholder = `${tournament.name}`
            document.getElementById("term_from").placeholder = `${tournament.from}`
            document.getElementById("term_to").placeholder = `${tournament.to}`
            document.getElementById("place").placeholder = `${tournament.place}`
            document.getElementById("category").placeholder = `${tournament.categotry}`
            document.getElementById("rank").placeholder = `${tournament.rang}`
            document.getElementById("entry-fee").placeholder = `${tournament.entryFee}`
            document.getElementById("director").placeholder = `${tournament.director}`
            document.getElementById("phone").placeholder = `${tournament.phone}`
            document.getElementById("entries").placeholder = `${tournament.entriesTo}`
            document.getElementById("add-info").placeholder = `${tournament.additionalInformations}`
        }
    });
}
